Name:           ocaml-extunix
Version:        0.1.3
Release:        %mkrel 1
Summary:        Extended functions for OCaml Unix module
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/extunix/
Source0:        http://forge.ocamlcore.org/frs/download.php/1576/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-camlp4-devel

%description
Thin bindings to various low-level system APIs (often non-portable)
which are not covered by Unix module.

Example functions: uname, statvfs, fsync, fadvise, fallocate, atfile,
 dirfd, eventfd, signalfd, ...

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure
ocaml setup.ml -build
#ocaml setup.ml -doc
ocamlbuild src/api.docdir/index.html -tag debug

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/stublibs
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
ocaml setup.ml -install

%files
%doc README.md CHANGES.txt TODO
%dir %{_libdir}/ocaml/extunix
%{_libdir}/ocaml/extunix/META
%{_libdir}/ocaml/extunix/*.cma
%{_libdir}/ocaml/extunix/*.cmi
%{_libdir}/ocaml/extunix/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc api.docdir/
%{_libdir}/ocaml/extunix/*.a
%{_libdir}/ocaml/extunix/*.cmxa
%{_libdir}/ocaml/extunix/*.cmx
%{_libdir}/ocaml/extunix/*.ml
%{_libdir}/ocaml/extunix/*.cmt
%{_libdir}/ocaml/extunix/*.annot


%changelog
* Thu Feb 18 2016 daviddavid <daviddavid> 0.1.3-1.mga6
+ Revision: 966066
- new version: 0.1.3
- update files list

* Wed Feb 17 2016 umeabot <umeabot> 0.1.1-4.mga6
+ Revision: 964156
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 741022
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 683028
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 0.1.1-1.mga5
+ Revision: 674005
- update to 0.1.1

* Sat Oct 19 2013 umeabot <umeabot> 0.0.6-3.mga4
+ Revision: 536409
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.0.6-2.mga4
+ Revision: 484212
- rebuild for ocaml-4.01.0

* Fri Aug 02 2013 blue_prawn <blue_prawn> 0.0.6-1.mga4
+ Revision: 462591
- updated to last version 0.0.6

* Sat Jan 12 2013 umeabot <umeabot> 0.0.5-4.mga3
+ Revision: 361302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.0.5-3.mga3
+ Revision: 301659
- new rpm group for ocaml
- new rpm group for ocaml

* Wed Jun 20 2012 malo <malo> 0.0.5-1.mga3
+ Revision: 262185
- new version 0.0.5
- add native code module for run time

* Fri Apr 20 2012 blue_prawn <blue_prawn> 0.0.3-3.mga2
+ Revision: 232021
+ rebuild (emptylog)

* Thu Apr 19 2012 blue_prawn <blue_prawn> 0.0.3-2.mga2
+ Revision: 231886
- need the -devel part of ocaml-ounit
- fixed description, and build-requires
- imported package ocaml-extunix

